javax.swing.text

## Class LayoutQueue

- java.lang.Object
- - javax.swing.text.LayoutQueue

    public class LayoutQueue
    extends Object

A queue of text layout tasks.

Since:
  1.3
See Also:
  `AsyncBoxView`

### Constructor Summary

Constructors
Constructor and Description
`LayoutQueue()` Construct a layout queue.

### Method Summary

Methods
`void` `addTask(Runnable task)` Add a task that is not needed immediately because the results are not believed to be visible.
`static LayoutQueue` `getDefaultQueue()` Fetch the default layout queue.
`static void` `setDefaultQueue(LayoutQueue q)` Set the default layout queue.
`protected Runnable` `waitForWork()` Used by the worker thread to get a new task to execute

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutQueue

    public LayoutQueue()

Construct a layout queue.

### Method Detail

#### getDefaultQueue

    public static LayoutQueue getDefaultQueue()

Fetch the default layout queue.

#### setDefaultQueue

    public static void setDefaultQueue(LayoutQueue q)

Set the default layout queue.

Parameters:
  `q` - the new queue.

#### addTask

    public void addTask(Runnable task)

Add a task that is not needed immediately because the results are not believed to be visible.

#### waitForWork

    protected Runnable waitForWork()

Used by the worker thread to get a new task to execute

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.